@ECHO OFF

if not exist %1 (
   echo Oops! %1 does not exist
   echo Most likely reason: mistyped filename
   echo Exiting ...
   goto :eof
)

set oldPath=%path%
set oldCLASSPATH=%CLASSPATH%

set rootdir=..\..\..\

if NOT DEFINED which_validator (
   pushd ..\..
   call set-environment-variables
   popd
)

set path=%rootdir%jre\1.1\bin

set CLASSPATH=%rootdir%jre\1.1\lib\rt.jar
set CLASSPATH=%CLASSPATH%;.

set xerces_CLASSPATH=%CLASSPATH%;%rootdir%xmlParsers\%which_xerces%\xerces.jar
set xerces_CLASSPATH=%xerces_CLASSPATH%;%rootdir%xmlParsers\%which_xerces%\xercesSamples.jar

set oracle_CLASSPATH=%CLASSPATH%;%rootdir%xmlParsers\%which_oracle%\lib\xmlparserv2.jar
set oracle_CLASSPATH=%oracle_CLASSPATH%;%rootdir%xmlParsers\%which_oracle%\lib\xschema.jar
set oracle_CLASSPATH=%oracle_CLASSPATH%;%rootdir%xmlParsers\%which_oracle%

echo Running %which_validator% with the following specification:
echo    - XML File: %1
echo ---------------------------------------------------------

if %which_validator% == xerces (
jre -classpath %xerces_CLASSPATH% sax.SAXCount -v %1
)

if %which_validator% == oracle (
jre -classpath %oracle_CLASSPATH% XSDSample %1
)

echo Done.

set path=%oldPath%
set CLASSPATH=%oldCLASSPATH%

